Loading...
Searching...
No Matches
gx_system::IRFileListing Class Reference

`#include <gx_system.h>`

## Public Member Functions

| IRFileListing (const std::string &path)
| ~IRFileListing ()
std::vector< FileName > & | get_listing ()

## Private Attributes

std::vector< FileName > | listing

## Detailed Description

Definition at line 341 of file gx_system.h.

## Constructor & Destructor Documentation

## IRFileListing()

gx_system::IRFileListing::IRFileListing | ( | const std::string & | path | ) |

## ~IRFileListing()

gx_system::IRFileListing::~IRFileListing | ( |  | ) |

inline

Definition at line 347 of file gx_system.h.

## Member Function Documentation

## get_listing()

std::vector< FileName > & gx_system::IRFileListing::get_listing | ( |  | ) |

inline

Definition at line 348 of file gx_system.h.

## Member Data Documentation

## listing

std::vector<FileName> gx_system::IRFileListing::listing

private

Definition at line 344 of file gx_system.h.

Referenced by get_listing().

The documentation for this class was generated from the following file:

- src/headers/gx_system.h